curl --request DELETE \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"Account\", \"id\": \"cust_2234\", \"external_id\": \"Ext_12345\", \"vid\": \"04dbe59a1b72c653b672f828565b4989c2a9ac47\", \"created\": \"2022-04-05T10:31:19+00:00\", \"default_currency\": \"USD\", \"email\": \"cbrown@example.com\", \"email_type\": \"html\", \"language\": \"EN-U\", \"notify_before_billing\": true, \"company\": \"Peanuts\", \"name\": \"Charlie Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"c3991297470e6b882d3c5976e567d57f2c532dc5\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"metadata\": { \"favorite dog\": \"Snoopy\", \"favorite activity\": \"flying kites\" } }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Remove Child Account
Remove parent relationship on a specified child account.
curl --request DELETE \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children/{CID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"Account\", \"id\": \"cust_2234\", \"external_id\": \"Ext_12345\", \"vid\": \"04dbe59a1b72c653b672f828565b4989c2a9ac47\", \"created\": \"2022-04-05T10:31:19+00:00\", \"default_currency\": \"USD\", \"email\": \"cbrown@example.com\", \"email_type\": \"html\", \"language\": \"EN-U\", \"notify_before_billing\": true, \"company\": \"Peanuts\", \"name\": \"Charlie Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"c3991297470e6b882d3c5976e567d57f2c532dc5\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"metadata\": { \"favorite dog\": \"Snoopy\", \"favorite activity\": \"flying kites\" } }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id or the vid of the parent Account A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128The id or the vid of the Child Account to remove from the parent Account A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Query Parameters
Can be ReplaceOnAllAutoBills, ReplaceOnlyFutureAutoBills
ReplaceOnAllAutoBills, ReplaceOnlyFutureAutoBills Response
JSON - A full Account object.
The Account represents a merchant’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in CashBox for billing. Read More in our User Guide
An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide.
An Account owns the “on file” payment methods to be used by it in billing.
Value is “Account”
Account A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128The name of the person primarily associated with this Account.
A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.
128An additional merchant-specified unique identifier for when you have two external (non-CashBox) systems using two different identification schemes for the same customer. It can be used in place of vid or i
The date/time the Account was created.
The parent (Account) id or vid of this Account
The email address associated with this Account.
The email format type preferred by this customer.
html, multipart, plaintext The language (code) preferred for communications.
Whether or not to send this customer pre-billing notification (emails).
The company name of the customer if a business Account.
The Address object represents a physical or mailing address.
Show child attributes
Show child attributes
The payment methods on file for this Account.
Show child attributes
Show child attributes
Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.
The metadata field supports key-value pairs with the following limitations:
Keys can be up to 256 characters
Keys can be any string that is needed, except only CashBox can prefix keys with vin:
Values can be up to 1024 characters
In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.
Tax Exemptions registered for this Account.
Show child attributes
Show child attributes
The token balances for this Account.
Show child attributes
Show child attributes
The account-level credit balances for this Account.
Show child attributes
Show child attributes
The account-level entitlements for this Account.
Show child attributes
Show child attributes
Special Tax Handling rules defined with CSP’s tax service.

